Generation Framework

## org.eclipse.gmf.gmfgraph
Interface SVGFigure

All Superinterfaces:
  AbstractFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier, RealFigure

All Known Implementing Classes:
  SVGFigureImpl

    public interface SVGFigure

extends RealFigure

A representation of the model object 'SVG Figure'.

The following features are supported:

- `Document URI`
- `Properties`
- `Area Of Interest`
- `No Canvas Width`
- `No Canvas Height`

See Also:
  `GMFGraphPackage.getSVGFigure()`
** Generated **
Model:

Method Summary
`Rectangle2D` `getAreaOfInterest()` Returns the value of the 'Area Of Interest' containment reference
`java.lang.String` `getDocumentURI()` Returns the value of the 'Document URI' attribute
`org.eclipse.emf.common.util.EList<SVGProperty>` `getProperties()` Returns the value of the 'Properties' containment reference list.
`boolean` `isNoCanvasHeight()` Returns the value of the 'No Canvas Height' attribute
`boolean` `isNoCanvasWidth()` Returns the value of the 'No Canvas Width' attribute
`void` `setAreaOfInterest(Rectangle2D value)` Sets the value of the '`Area Of Interest`' containment reference
`void` `setDocumentURI(java.lang.String value)` Sets the value of the '`Document URI`' attribute
`void` `setNoCanvasHeight(boolean value)` Sets the value of the '`No Canvas Height`' attribute
`void` `setNoCanvasWidth(boolean value)` Sets the value of the '`No Canvas Width`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDocumentURI

    java.lang.String getDocumentURI()

  Returns the value of the 'Document URI' attribute.

  If the meaning of the 'Document URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Document URI' attribute.
  See Also:
    `setDocumentURI(String)`, `GMFGraphPackage.getSVGFigure_DocumentURI()`
  ** Generated **
  Model:

### setDocumentURI

    void setDocumentURI(java.lang.String value)

  Sets the value of the '`Document URI`' attribute.

  Parameters:
    `value` - the new value of the 'Document URI' attribute.
  See Also:
    `getDocumentURI()`
  ** Generated **

### getProperties

    org.eclipse.emf.common.util.EList<SVGProperty> getProperties()

  Returns the value of the 'Properties' containment reference list. The list contents are of type `SVGProperty`.

  If the meaning of the 'Properties' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties' containment reference list.
  See Also:
    `GMFGraphPackage.getSVGFigure_Properties()`
  ** Generated **
  Model:
    containment="true"

### getAreaOfInterest

    Rectangle2D getAreaOfInterest()

  Returns the value of the 'Area Of Interest' containment reference.

  If the meaning of the 'Area Of Interest' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Area Of Interest' containment reference.
  See Also:
    `setAreaOfInterest(Rectangle2D)`, `GMFGraphPackage.getSVGFigure_AreaOfInterest()`
  ** Generated **
  Model:
    containment="true"

### setAreaOfInterest

    void setAreaOfInterest(Rectangle2D value)

  Sets the value of the '`Area Of Interest`' containment reference.

  Parameters:
    `value` - the new value of the 'Area Of Interest' containment reference.
  See Also:
    `getAreaOfInterest()`
  ** Generated **

### isNoCanvasWidth

    boolean isNoCanvasWidth()

  Returns the value of the 'No Canvas Width' attribute.

  If the meaning of the 'No Canvas Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Canvas Width' attribute.
  See Also:
    `setNoCanvasWidth(boolean)`, `GMFGraphPackage.getSVGFigure_NoCanvasWidth()`
  ** Generated **
  Model:

### setNoCanvasWidth

    void setNoCanvasWidth(boolean value)

  Sets the value of the '`No Canvas Width`' attribute.

  Parameters:
    `value` - the new value of the 'No Canvas Width' attribute.
  See Also:
    `isNoCanvasWidth()`
  ** Generated **

### isNoCanvasHeight

    boolean isNoCanvasHeight()

  Returns the value of the 'No Canvas Height' attribute.

  If the meaning of the 'No Canvas Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Canvas Height' attribute.
  See Also:
    `setNoCanvasHeight(boolean)`, `GMFGraphPackage.getSVGFigure_NoCanvasHeight()`
  ** Generated **
  Model:

### setNoCanvasHeight

    void setNoCanvasHeight(boolean value)

  Sets the value of the '`No Canvas Height`' attribute.

  Parameters:
    `value` - the new value of the 'No Canvas Height' attribute.
  See Also:
    `isNoCanvasHeight()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.